# Get actor

Get a actor on id

Endpoint: GET /actor/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `actor` (object)

  - `actor.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `actor.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actor.uuid` (string, required)

  - `actor.primaryPlatformId` (string, required)

  - `actor.createdAt` (string)
    The date and time this Entity has been created

  - `actor.updatedAt` (string)
    The date and time this Entity has been updated

  - `actor.language` (object)
    circular reference

  - `actor.name` (string)

  - `actor.user` (object)
    circular reference

  - `actor.identifiers` (array)

  - `actor.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `actor.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actor.identifiers.uuid` (string, required)

  - `actor.identifiers.primaryPlatformId` (string, required)

  - `actor.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `actor.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `actor.identifiers.language` (object)
    circular reference

  - `actor.identifiers.name` (string)

  - `actor.identifiers.system` (string)

  - `actor.identifiers.value` (string)

  - `actor.identifiers.expiredAt` (string)

  - `actor.contactDetails` (array)

  - `actor.contactDetails.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `actor.contactDetails.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actor.contactDetails.uuid` (string, required)

  - `actor.contactDetails.primaryPlatformId` (string, required)

  - `actor.contactDetails.createdAt` (string)
    The date and time this Entity has been created

  - `actor.contactDetails.updatedAt` (string)
    The date and time this Entity has been updated

  - `actor.contactDetails.language` (object)
    circular reference

  - `actor.contactDetails.type` (string)
    Enum: "iban", "gln", "vatCode", "name", "lastName", "middleName", "firstName", "phone", "mobilePhone", "email", "language", "other"

  - `actor.contactDetails.value` (string)

  - `actor.contactDetails.remarks` (string)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


